Subject: Re: which command fails
From: "J S" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 19 Dec 2002 15:29:54 +0000

>
>On Thu, 19 Dec 2002, J S wrote:
>
> > Sorry I posted this to the wrong group.
> > >
> > >Hi,
> > >
> > >Since I upgraded cygwin I can't use the which command. It keeps saying:
> > >
> > >$ which /usr/bin/ls
> > >/usr/bin/ls: Command not found.
> > >
> > >
> > >My path appears to be OK:
> > >
> > >$ echo $PATH
> > 
> >/usr/local/bin:/usr/bin:/bin:.:/usr/bin:/usr/local/bin:/usr/X11R6/bin:/usr/local/wmaker/bin:/cygdriv
> > 
> >e/c/WINNT/system32:/cygdrive/c/WINNT:/cygdrive/c/WINNT/System32/Wbem:/cygdrive/c/ora8i/bin:/cygdrive
> > >/c/Program
> > 
> >Files/Oracle/jre/1.1.7/bin:/cygdrive/c/PROGRA~1/E!PC:/cygdrive/c/ACE/rdbms32/bin:/cygdriv
> > >e/c/Program Files/Attachmate/E!E2K/:/cygdrive/c/PROGRA~1/ULTRAE~1
> > >
> > >The which also looks OK, and is the same as the which in the old cygwin 
>I
> > >had:
> > >
> > >$ which
> > >usage: which [-a] command...
> > >
> > >$ ls -l which
> > >-rwx------    1 544      10513        4608 Nov 15  2001 which
> > >
> > >Any ideas what could be going wrong?
> > >
> > >JS.
>
>Yes.  You have ntsec on (it's on by default starting from 1.3.13, IIRC),
>and the files in your /bin have the wrong permissions.  Try
>
>$ chmod -R a+rx /bin
>
>and see if it solves the problem.  You might also want to update your
>passwd and group files - search this list for instructions.
>	Igor

Igor,

Thanks, that was it. I did chmod -R a+rx * and that fixed the Xfree problem 
I was having with 'failed to open input method' as well.
I didn't realise the permissions had changed in Cygwin now, looks like I'll 
have to go back to the documentation and read up on it again.

Thanks for your help.

JS.

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*. 
http://join.msn.com/?page=features/virus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/